This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### boolean
Examples |
    boolean a = false;
    if (!a) {
      rect(30, 20, 50, 50);
    }
    a = true;
    if (a) {
      line(20, 10, 90, 80);
      line(20, 80, 90, 10);
    }
Description | Datatype for the Boolean values true and false. It is common to use boolean values with control statements to determine the flow of a program. The first time a variable is written, it must be declared with a statement expressing its datatype.
Syntax |
    boolean var
    boolean var = booleanvalue
Parameters |
var | variable name referencing the value
booleanvalue | true or false
Related | true false

Updated on October 26, 2013 08:58:34pm PDT